Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 724034 - hal don't see device removal
Summary: hal don't see device removal
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hal
Version: 5.6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Richard Hughes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-21 18:17 UTC by Charlie Brady
Modified: 2018-12-02 17:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 227593
Environment:
Last Closed: 2013-10-15 19:24:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Charlie Brady 2011-07-21 18:17:29 UTC
+++ This bug was initially created as a clone of Bug #227593 +++

Description of problem:

It is not completely reproducible, but in general when I add an usb
key, mount the key (using pmount, not through hal), remove the key 
without unmounting, hal becomes confused and don't see that the usb
key was removed. It is still confused after umounting as root the 
devices.

It seems to go much more smoothly when gnome-mount
is used to mount and umount -- even on a device that isn't connected
anymore.

Version-Release number of selected component (if applicable):

The version before hal-0.5.8.1-8.fc7, maybe hal-0.5.8.1-7.
I'll retest with last version. 

...

--- Additional comment from davidz@redhat.com on 2007-03-01 04:04:28 EST ---

Something like this patch

 http://gitweb.freedesktop.org/?p=hal.git;a=commitdiff;h=f5b862f5690106bb3d5500b1091d12f089bae070;hp=193b7bbb91cb56d5fa5e87e90382449a023b6915

should fix it. It was a pretty obvious mistake in HAL. This will hit Rawhide as
soon as I upload a new release so I'm closing this UPSTREAM. Feel free to reopen
if it doesn't fix it for you. Thanks.

Comment 1 Charlie Brady 2011-07-21 18:18:34 UTC
This problem fixed in Fedora in 2007 is still biting in 2011! Fix is simple.

Comment 5 Andrius Benokraitis 2013-10-15 19:24:06 UTC
No additional minor releases are planned for Production Phase 2 in Red Hat Enterprise Linux 5, and therefore Red Hat is closing this bugzilla as it does not meet the inclusion criteria as stated in:
https://access.redhat.com/site/support/policy/updates/errata/#Production_2_Phase


Note You need to log in before you can comment on or make changes to this bug.